Package com.emc.documentum.rest.parser.xml.writer.field

# Class AbstractFieldXmlSerializer

java.lang.Object
com.emc.documentum.rest.parser.xml.writer.field.AbstractFieldXmlSerializer

All Implemented Interfaces:
  `AnnotatedFieldBindingProcessor`, `AnnotatedFieldSerializer<com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter>`

Direct Known Subclasses:
  `DelayedFieldXmlSerializer`, `EntryFieldXmlSerializer`, `ListFieldXmlSerializer`, `MapFieldXmlSerializer`, `NullFieldXmlSerializer`, `ObjectFieldXmlSerializer`, `SimpleDataFieldXmlSerializer`

public abstract class AbstractFieldXmlSerializer extends Object implements AnnotatedFieldSerializer<com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter>
This abstract class has default implementation for XML field serializer. Also it contains XML specified writer.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractFieldXmlSerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isCompatibleMediaType(org.springframework.http.MediaType mediaType)`
  Check if the message serializer or deserializer is compatible with the specified media type.
  `void`
  `serializeKeyValue(com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter writer, String key, Object value, Map<String,String> attrs, String ns, String prefix, org.springframework.http.MediaType contentType, com.emc.documentum.rest.config.BindingConfig bindingConfig)`
  Serializes the object in a map as the entry value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.emc.documentum.rest.wire.AnnotatedFieldSerializer

  `serializable, serialize`

- ## Constructor Details

  - ### AbstractFieldXmlSerializer

    public AbstractFieldXmlSerializer()

- ## Method Details

  - ### serializeKeyValue

    public void serializeKeyValue(com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter writer, String key, Object value, Map<String,String> attrs, String ns, String prefix, org.springframework.http.MediaType contentType, com.emc.documentum.rest.config.BindingConfig bindingConfig)
    Serializes the object in a map as the entry value. This method must be implemented if the target object supports to be serialized in a map.
    Parameters:
      `writer` - message writer
      `key` - the serializable name of the field to serialize
      `value` - the object value to serialize
      `attrs` - the additional data for marshalling
      `ns` - the name space
      `prefix` - the prefix of name space
      `contentType` - content type of target representation
      `bindingConfig` - the binding configuration

  - ### isCompatibleMediaType

    public boolean isCompatibleMediaType(org.springframework.http.MediaType mediaType)
    Description copied from interface: `AnnotatedFieldBindingProcessor`
    Check if the message serializer or deserializer is compatible with the specified media type.
    Specified by:
      `isCompatibleMediaType` in interface `AnnotatedFieldBindingProcessor`
    Parameters:
      `mediaType` - the media type to check
    Returns:
      `true` for compatible